#ifndef _MAIN_INC
#define _MAIN_INC

/* Global Constants */
#define DBG_PKT 0x1
#define DBG_MSN 0x2
#define DBG_ITM 0x4
#define DBG_ICN 0x8
#define COL_TRANSPARENT 0x00FF00

/* Global Variables */
extern unsigned long lDebug;
extern unsigned long lNotifyMethod;
extern unsigned long lWatchItemsLength;
extern BOOL bIconCustomBack;
extern COLORREF cIconCustomBack;
extern char strAOMDPath[MAX_PATH];
extern char strAOPath[MAX_PATH];
extern char strSoundFile[MAX_PATH];
extern char *strWatchItems;

/* ASM inline code: Swap Endian (Long) */
#pragma warning(disable:4035)
inline unsigned long SwapEndianL(unsigned long lValue) {
	__asm {
		mov eax, lValue
		xchg ah, al
		ror eax,16
		xchg ah, al
	}
}
#pragma warning(default:4035)

/* ASM inline code: Swap Endian (Short) */
#pragma warning(disable:4035)
inline unsigned short SwapEndianS(unsigned short iValue) {
	__asm {
		mov ax, iValue
		xchg ah, al
	}
}
#pragma warning(default:4035)

#endif /* _MAIN_INC */
