#ifndef _FUNCTIONS_INC
#define _FUNCTIONS_INC

/* Structures */
typedef struct mission_struc
{
	unsigned long lDescLen;
	char *strDesc;
	unsigned short iPF;
	unsigned short iPFNameLen;
	char *strPFName;
	unsigned long lCash;
    unsigned short iQL;
    unsigned long lItem1;
    unsigned long lItem2;
	unsigned short iItemNameLen;
	char *strItemName;
	unsigned long lIconNbr;
	BITMAPINFO *bmiIcon;
	unsigned long lMsnTypeIconNbr;
	unsigned short iFindNameLen;
	char *strFindName;
} udtMission_struc;

/* Global Constants */
#define AO_MISSION_MAX 5
#define MSN_RETURNITEM 0x2C41
#define MSN_ASSASSINATE 0x2C42
#define MSN_FINDPERSON 0x2C47
#define MSN_FINDITEM 0x2C49
#define MSN_USEITEM 0x2C4E

/* Functions */
void StartUp(void);
long FindDevices(void);
char *GetDeviceName(long lIndex);
void SetActiveDevice(long lIndex);
BOOL BeginCapture(void *ShowMissionCallback);
void EndCapture(void);
char *GetErrorMessage(void);
void TokenizeFilename(char *strDest, char *strSource);
void DeTokenizeFilename(char *strDest, char *strSource);

#endif /* _FUNCTIONS_INC */
